Create Order

The Create Order API is used to create an order with HIPS. The id that is generated and returned for you is used to integrate the HIPS Checkout. Authentication Key Type: SalesChannelApiKey

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The Create Order API is used to create an order with HIPS. The id that is generated and returned for you is used to integrate the HIPS Checkout. Authentication Key Type: SalesChannelApiKey

string
required

Your unique order id of this order. (max 255 characters)

string
enum

We use the ISO 4217 standard for defining currencies.

string

Your metadata 1 for order (max 255 characters)

string

Your metadata 2 for order (max 255 characters)

boolean

Specifies if address change is allowed on order by the customer

cart
object
required

Representation of object Cart Model

int32
Defaults to 0

Amount already pre-paid on this order

string

Description of pre-paid amount

int32

Set the total order amount (including V.A.T)

int32

Set the V.A.T amount

boolean

Set if the order is fulfilled. If an order is fulfilled, payments on the order will be captured.

boolean

Specifies if this order requires shipping

boolean

Specifies if this order requires express shipping.

shipping_address
object

Specifies the shipping address. Billing address is set by the checkout API. If you want to specify billing address in this point, please use the Payment API instead. Recommended is to let the checkout API set billing address based on user input at the hosted checkout page.

hooks
object
recurring
object

This object creates a recurring billing contract based on the order.

string

If this order is a QR payment, you should send the session_id here from the start_qr_session webhook.

boolean

Specifies if this is a test order

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json